%Geothermal gradient
clc
kvpg = 2.9;
kswe = 2.7;
qvpg = 7*10^-6;
qswe = 2.8*10^-6;
Qs = 90*10^-3;
Ts = 25;

n = 10;
L1 = 2000;
L2 = 2000;

d = linspace(0,(L1 + L2),n)';
k = ones(n,1); k(1:n*(L1/(L1 + L2))) = kvpg; k(n*(L2/(L1 + L2))+1:end) = kswe;
q = ones(n,1); q(1:n*(L1/(L1 + L2))) = qvpg; q(n*(L2/(L1 + L2))+1:end) = qswe;

Q = ones(n,1); Q(1:n*(L1/(L1 + L2))) = Qs; Q(n*(L2/(L1 + L2))+1:end) = (q(1,1) - q(end,1))*L1 - Q(1);
Ts = [ones(n*(L1/(L1 + L2)),1)*Ts;ones(n*(L1/(L1 + L2)):n,1)*(-(1./kvpg).*(0.5*qvpg.*L1^2 - Qs*L1) + Ts + (1./kswe).*(0.5*qswe.*L1^2 - Q(end,1)*L1) + Ts)];

T = -(1./k).*(0.5*q.*d.^2 - Q) + Ts;

